function specification_name = make_spec_name(constants) 
    specification_name = ['rnat_' num2str(constants.rnat) ...
                            '_sigrn_' num2str(constants.sig_rn) ...
                            '_zlb_' num2str(constants.flag_zlb) ...
                            '_re_' num2str(constants.gamma) ...
                            
                        ];
end